<template>
    <ion-card>
      <ion-card-header>
        <ion-grid>
          <ion-row>
            <ion-col>
              <ion-card-title>Comparison of available Space DAO Tiers</ion-card-title>
              <ion-card-subtitle>Each tier offers the user more, additional functionality</ion-card-subtitle>
            </ion-col>

          </ion-row>
          <ion-row>
            <table>
              <tr>
                <th >
                  <!-- Category -->
                </th>
                <th>
                  Tier 0
                </th>
                <th>
                  Tier 1
                </th>
                <th>
                  Tier 2
                </th>
              </tr>
              
              <tr>
                <th>
                  Read all CDMs
                </th>
                <td>
                  <!-- <ion-icon name="checkmark-sharp"></ion-icon> -->
                  <ion-icon :icon="checkmarkSharp"></ion-icon>
                  check
                </td>
                <td></td>
                <td></td>
              </tr>
             
              <tr>
                <th>
                  this is a test thing
                </th>
              </tr> 

              <tr>
                <th>
                  Uncertainty
                </th>
              </tr>

              <tr>
                <th>
                  Uncertainty
                </th>
              </tr>

              <tr>
                <th>
                  Uncertainty
                </th>
              </tr>

            </table>

          </ion-row>
        </ion-grid>
      </ion-card-header>
      <ion-card-content>
        <ion-list>

          <ion-item>
            <!-- RSO Owner: {{ response_id.message }} -->
          </ion-item>

        </ion-list>
      </ion-card-content>
    </ion-card>
</template>
  
  <script lang="ts">
    import { IonCard, IonCardHeader, IonCardSubtitle, IonCardTitle, IonCardContent, IonItem, IonList } from '@ionic/vue';
    import { IonGrid, IonCol, IonRow } from '@ionic/vue';
    import { IonIcon } from '@ionic/vue';
    import { checkmarkSharp } from 'ionicons/icons';
    import { defineComponent } from 'vue';
  
    import { StmService } from '../../spacedao';
  
    export default defineComponent({
        components: {
            IonCard,
            IonCardHeader,
            IonCardSubtitle,
            IonCardTitle,
            IonCardContent,
            // IonThumbnail,
            IonItem,
            IonList,
            IonGrid,
            IonCol,
            IonRow,
            IonIcon,
        },
        setup() {
          return { checkmarkSharp };
        },
        props: {
            rso_id : undefined
        },
        data(){
          return {
            api: {
              "rso": StmService.statsRsoIdAppStmV1StatsRsoRsoIdGet,
              "cdm": StmService.statsCdmIdAppStmV1StatsCdmCdmIdGet,
              "supplier": StmService.statsSupplierIdAppStmV1StatsSupplierSupplierIdGet
            },
            response_id: {
              message: "",
            }
          }
        },
        mounted(){
          // console.log("RSO Profile: inspecting the api");    
          this.api["rso"](this.rso_id)
          .then((response) => {
            this.response_id=response;
            // console.log(response);    
            })

        },
    });
  
  </script>
  
  <style scoped>
    /* iOS places the subtitle above the title */
    ion-card-header.ios {
      display: flex;
      flex-flow: column-reverse;
    }

    table {
      font-family: arial, sans-serif;
      border-collapse: collapse;
      width: 90%;
    }

    td, th {
      border: 1px solid #dddddd;
      text-align: left;
      padding: 8px;
    }

    tr:nth-child(even) {
      background-color: #dddddd;
    }


  </style>